[SCM] Debian packaging for apache2 branch, next, updated. debian/2.4.2-2-25-g1c29b5e

Arno Töll arno at debian.org
Mon Jun 11 21:54:07 UTC 2012


The following commit has been merged in the next branch:
commit 1c29b5e56cd30df8582315c42b798a51b5cda210
Author: Arno Töll <arno at debian.org>
Date:   Mon Jun 11 23:33:09 2012 +0200

    Fix problems in the init script: Do actually stop the web server on stop, do
    not start the server on reload if it wasn't running before and return 0 for the
    reload action when the server is not running.

diff --git a/debian/apache2.init b/debian/apache2.init
index d64c8f3..88a209a 100755
--- a/debian/apache2.init
+++ b/debian/apache2.init
@@ -180,11 +180,15 @@ do_stop()
 #
 do_reload() {
         if $APACHE2CTL configtest > /dev/null 2>&1; then
+	        if ! pidofproc "$DAEMON" -p $PIDFILE > /dev/null 2>&1 ; then
+                        APACHE2_INIT_MESSAGE="Apache2 is not running"
+                        return 2
+                fi
                 $APACHE2CTL graceful > /dev/null 2>&1
                 return $?
         else
                 APACHE2_INIT_MESSAGE="The apache2$DIR_SUFFIX configtest failed. Not doing anything."
-                return 2
+                return 0
         fi
 }
 
@@ -285,7 +289,7 @@ case "$1" in
 	;;
   restart)
 	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
+	do_stop stop
 	case "$?" in
 	  0|1)
 		do_start

-- 
Debian packaging for apache2



More information about the Pkg-apache-commits mailing list